<?php
/**
 * @copyright	Copyright (c) 2013 Skyline Software (http://extstore.com). All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die();

jimport('joomla.plugin.plugin');

/**
 * System - Redirect Confirmation Plugin
 *
 * @package		Joomla.Plugin
 * @subpakage	Skyline.RedirectConfirm
 */
class plgSystemSL_RedirectConfirm extends JPlugin {

	/**
	 * Constructor.
	 *
	 * @param 	$subject
	 * @param	array $config
	 */
	function __construct(&$subject, $config = array()) {
		// call parent constructor
		parent::__construct($subject, $config);
	}

	private function escape($string) {
		return str_replace(array("\r\n", "\n", '\''), array('', '', '\\\''), $string);
	}

	/**
	 * onAfterRoute hook.
	 */
	function onAfterRoute() {
		// get params
		$title		= $this->escape($this->params->get('title', 'Exiting our website'));
		$message	= $this->escape($this->params->get('message', 'You are now leaving our website. We are not responsible for any external Web sites or their content.'));
		$continue	= $this->escape($this->params->get('continue', 'Continue'));
		$return		= $this->escape($this->params->get('return', 'Return'));

		JHtml::_('jquery.framework');
		JHtml::_('script', 'plg_system_sl_redirectconfirm/sl_redirectconfirm.js', false, true, false, false, true);

		$document	= JFactory::getDocument();
		$document->addScriptDeclaration("
jQuery(document).ready(function() {
	jQuery(document.body).SLRedirectConfirm({
		title:			'$title',
		message:		'$message',
		continuelbl:	'$continue',
		returnlbl:		'$return'
	});
});
		");
	}
	
}